Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# memunit_step_fn Struct Template Reference
[step iterators]

`#include <step_iterator.hpp>`

List of all members.

## Detailed Description

### template<typename Iterator>
struct boost::gil::memunit_step_fn< Iterator >

function object that returns the memory unit distance between two iterators and advances a given iterator a given number of mem units (bytes or bits)

## Public Types

typedef std::ptrdiff_t | difference_type

## Public Member Functions

| memunit_step_fn (difference_type step=memunit_step(Iterator()))
difference_type | difference (const Iterator &it1, const Iterator &it2) const
void | advance (Iterator &it, difference_type d) const
difference_type | step () const
void | set_step (std::ptrdiff_t step)

The documentation for this struct was generated from the following file:

- step_iterator.hpp